Skip to content
GAMPEONCreate
New project

Invite someone

POST
/v1/studios/{slug}/invites
curl --request POST \
--url https://api.gampeon.com/v1/studios/example/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "handle": "example", "role": "member" }'

Owners and admins invite by handle. Only the owner can invite admins. Invites are valid for 14 days; the invited person accepts them. At most 50 members.

Not available with access tokens.

Rate limit: 30 per hour per account.

slug
required
string
/^[a-z0-9][a-z0-9-]{1,30}[a-z0-9]$/

Studio slug

Media typeapplication/json
object
handle
required

Handle, with or without @

string
role

Default: member

string
Allowed values: member admin

Invite sent

Media typeapplication/json
object
id
required
string
handle
required
string
displayName
required
string
role
required
string
expiresAt
required

Unix time in milliseconds

integer format: int64

Example generated

{
"id": "example",
"handle": "example",
"displayName": "example",
"role": "example",
"expiresAt": 1
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, forbidden, studio_hidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found, user_not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: already_member, invite_exists, invite_limit_reached, member_limit_reached

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 30 per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback